import { defineComponent, $prefix, props, setup } from '@opentinyvue/vue-common';
import { renderless, api } from '@opentinyvue/vue-renderless/pull-refresh/vue';
import '@opentinyvue/vue-theme-mobile/pull-refresh/index.css';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

function _extends() {
  return _extends = Object.assign ? Object.assign.bind() : function(n) {
    for (var e = 1; e < arguments.length; e++) {
      var t = arguments[e];
      for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]);
    }
    return n;
  }, _extends.apply(null, arguments);
}
var __vue2_script = defineComponent({
  name: $prefix + "PullRefresh",
  props: _extends({}, props, {
    modelValue: Boolean,
    loosingText: String,
    animationDuration: {
      type: [Number, String],
      default: 300
    },
    hasMore: {
      type: Boolean,
      default: true
    },
    disabledPullDown: {
      type: Boolean,
      default: false
    },
    disabledPullUp: {
      type: Boolean,
      default: false
    },
    pullUpDistance: {
      type: [Number, String],
      default: 18
    },
    pullUpLoadingText: {
      type: String,
      default: null
    },
    pullDownLoadingText: {
      type: String,
      default: null
    }
  }),
  setup: function setup$1(props2, context) {
    return setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "tiny-mobile-pull-refresh",
    style: _vm.state.refreshStyle
  }, [_c("div", {
    ref: "track",
    staticClass: "tiny-mobile-pull-refresh__track",
    style: {
      "transition-duration": _vm.state.animationDuration + "ms",
      transform: "translate3d(0px," + _vm.state.translate3d + "px,0px)"
    }
  }, [_c("div", {
    staticClass: "tiny-mobile-pull-refresh__tips tiny-mobile-pull-refresh__head"
  }, [!_vm.state.pullDownLoading ? _c("span", [_vm._v(_vm._s(_vm.state.pullDownReplaces))]) : _vm._e(), _vm.state.pullDownLoading ? _vm._t("header", function() {
    return [_vm.state.pullDownLoading ? _c("div", {
      staticClass: "tiny-mobile-pull-refresh-loading-content"
    }, [_c("div", {
      class: ["tiny-mobile-pull-refresh__loading", _vm.state.pullDownLoading ? "tiny-mobile-pull-refresh__loading-animation" : null]
    }, [_c("div", {
      staticClass: "tiny-mobile-pull-refresh__loading-inner"
    })]), _vm.state.pullDownLoadingText ? _c("div", {
      staticClass: "tiny-mobile-pull-refresh__text"
    }, [_vm._v(" " + _vm._s(_vm.state.pullDownLoadingText) + " ")]) : _vm._e()]) : _vm._e()];
  }) : _vm._e()], 2), _c("div", {
    ref: "content",
    staticClass: "tiny-mobile-pull-refresh__content"
  }, [_vm._t("default"), !_vm.state.disabledPullUp ? _c("div", {
    ref: "foot",
    staticClass: "tiny-mobile-pull-refresh__foot"
  }, [_vm._t("footer", function() {
    return [_vm.state.hasMore ? _c("div", {
      staticClass: "tiny-mobile-pull-refresh-loading-content"
    }, [_vm._m(0), _vm.state.pullUpLoadingText ? _c("div", {
      staticClass: "tiny-mobile-pull-refresh__text"
    }, [_vm._v(" " + _vm._s(_vm.state.pullUpLoadingText) + " ")]) : _vm._e()]) : _c("div", [_vm._v(_vm._s(_vm.state.noMoreText))])];
  })], 2) : _vm._e()], 2)])]);
};
var staticRenderFns = [function() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "tiny-mobile-pull-refresh__loading tiny-mobile-pull-refresh__loading-animation"
  }, [_c("div", {
    staticClass: "tiny-mobile-pull-refresh__loading-inner"
  })]);
}];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var mobile = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { mobile as default };
